summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xloperf/loperf.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index 461e0ff..9d36a7f 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -173,10 +173,13 @@ find docs -type f | grep -Ev "\/\." | while read f; do
done
+# Clean old callgrind files
+find "logs/callgrind" -type f -mtime +10 -exec rm {} \;
+
# Regression check
-# echo "Regression Status:" | tee -a "$PF_LOG"
-# echo "-----------------" | tee -a "$PF_LOG"
-# find $(dirname $(readlink -f "$PF_LOG")) -type f | grep -v "$PF_LOG" | grep log$ | while read rf; do
-# check_regression "$PF_LOG" "$rf" | tee -a "$PF_LOG"
-# done
-# grep '^Regression found!$' "$PF_LOG" > /dev/null || echo "Congratulations, no regression found!" | tee -a "$PF_LOG"
+echo "Regression Status:" | tee -a "$PF_LOG"
+echo "-----------------" | tee -a "$PF_LOG"
+find $(dirname $(readlink -f "$PF_LOG")) -type f | grep -v "$PF_LOG" | grep log$ | while read rf; do
+ check_regression "$PF_LOG" "$rf" | tee -a "$PF_LOG"
+done
+grep '^Regression found!$' "$PF_LOG" > /dev/null || echo "Congratulations, no regression found!" | tee -a "$PF_LOG"